Skip to content

The workspace this key reaches

GET
/v1/workspace
curl --request GET \
--url https://api.pensievelabs.co/v1/workspace \
--header 'Authorization: Bearer <token>'

The workspace.

Media typeapplication/json
object
id
required
string
object
required
Allowed value: workspace
name
required
string
mode
required
string
Allowed values: sandbox live
region
required
string
created_at
required
string format: date-time

Example

{
"id": "ws_demo",
"object": "workspace",
"mode": "sandbox",
"region": "Your VPC · us-east-1"
}

Something went wrong; error.type says what.

Media typeapplication/json
object
error
required
object
type
required
string
Allowed values: invalid_request authentication permission not_found conflict rate_limit not_available server
message
required
string
param

The request field the error is about.

string | null
request_id
required
string

Example

{
"error": {
"type": "invalid_request"
}
}